Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ZipArchiveFactory Class Reference

Specialisation of ArchiveFactory for Zip files. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::ZipArchiveFactory:

[legend]
List of all members.

## Public Member Functions
virtual | ~ZipArchiveFactory ()
const String & | getType (void) const
| Returns: The factory type.
Archive * | createInstance (const String &name)
  | Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory.
void | destroyInstance (Archive *arch)
  | Parameters:
  | ptr | Pointer to the object to destroy

## Detailed Description

Specialisation of ArchiveFactory for Zip files.

Definition at line 91 of file OgreZip.h.

## Constructor & Destructor Documentation

virtual Ogre::ZipArchiveFactory::~ZipArchiveFactory | ( |  | ) | `[virtual]`

| Definition at line 94 of file OgreZip.h.

## Member Function Documentation

Archive* Ogre::ZipArchiveFactory::createInstance | ( | const String & | name | ) | `[virtual]`

  | Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory. Implements Ogre::FactoryObj< Archive >. Definition at line 98 of file OgreZip.h.

void Ogre::ZipArchiveFactory::destroyInstance | ( | Archive * | arch | ) | `[virtual]`

  | Parameters:
  | ptr | Pointer to the object to destroy
Implements Ogre::FactoryObj< Archive >. Definition at line 103 of file OgreZip.h.

const String& Ogre::ZipArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

| Returns: The factory type. Implements Ogre::FactoryObj< Archive >.

The documentation for this class was generated from the following file:

- OgreZip.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:54:12 2007